summaryrefslogtreecommitdiffstats
path: root/process_configs.sh
diff options
context:
space:
mode:
authorJustin M. Forbes <jforbes@fedoraproject.org>2022-05-26 13:02:00 -0500
committerJustin M. Forbes <jforbes@fedoraproject.org>2022-05-26 13:02:00 -0500
commit779f386ae33031604ef46bc4d9caa2b4933c2c17 (patch)
tree2ba81b542d4e88952e60300583567ed735935c11 /process_configs.sh
parent815f6416d41e445ace8dd1c212f4e3c1032f7d45 (diff)
downloadkernel-779f386ae33031604ef46bc4d9caa2b4933c2c17.tar.gz
kernel-779f386ae33031604ef46bc4d9caa2b4933c2c17.tar.xz
kernel-779f386ae33031604ef46bc4d9caa2b4933c2c17.zip
kernel-5.18.0-200
* Thu May 26 2022 Justin M. Forbes <jforbes@fedoraproject.org> [5.18.0-0] - Fix versioning for Stable Fedora (Justin M. Forbes) - Reset release to 0 for stable (Justin M. Forbes) - Add fedora-dist-git-test script (Justin M. Forbes) - fedora: Re-enable efifb and vesafb drivers (Javier Martinez Canillas) - drivers/firmware: skip simpledrm if nvidia-drm.modeset=1 is set (Javier Martinez Canillas) - Basic Fedora branch setup (Justin M. Forbes) - redhat/Makefile: Drop quotation marks around string definitions (Prarit Bhargava) - Fedora: arm: Updates for QCom devices (Peter Robinson) - Fedora arm and generic updates for 5.17 (Peter Robinson) - enable COMMON_CLK_SI5341 for Xilinx ZYNQ-MP (Peter Robinson) - Turn on CONFIG_DM_VERITY_VERIFY_ROOTHASH_SIG_SECONDARY_KEYRING for Fedora (Justin M. Forbes) - redhat/self-test/data: Update data set (Prarit Bhargava) - Revert variable switch for lasttag (Justin M. Forbes) Resolves: Signed-off-by: Justin M. Forbes <jforbes@fedoraproject.org>
Diffstat (limited to 'process_configs.sh')
-rwxr-xr-xprocess_configs.sh15
1 files changed, 7 insertions, 8 deletions
diff --git a/process_configs.sh b/process_configs.sh
index 91e6d1226..987fb78c1 100755
--- a/process_configs.sh
+++ b/process_configs.sh
@@ -6,6 +6,8 @@
# Globally disable suggestion of appending '|| exit' or '|| return' to cd/pushd/popd commands
# shellcheck disable=SC2164
+test -n "$RHTEST" && exit 0
+
usage()
{
# alphabetical order please
@@ -191,7 +193,7 @@ function commit_new_configs()
# assume we are in $source_tree/configs, need to get to top level
pushd "$(switch_to_toplevel)" &>/dev/null
- for cfg in "$SCRIPT_DIR/${PACKAGE_NAME}${KVERREL}${SUBARCH}"*.config
+ for cfg in "$SCRIPT_DIR/${PACKAGE_NAME}${KVERREL}"*.config
do
arch=$(head -1 "$cfg" | cut -b 3-)
cfgtmp="${cfg}.tmp"
@@ -260,7 +262,7 @@ function process_config()
rm .newoptions"${count}"
RETURNCODE=1
fi
- rm .newoptions"${count}"
+ rm -f .newoptions"${count}"
grep -E 'config.*warning' .listnewconfig"${count}" > .warnings"${count}"
if test -n "$CHECKWARNINGS" && test -s .warnings"${count}"
@@ -303,7 +305,7 @@ function process_configs()
[ -f .mismatches ] && rm -f .mismatches
count=0
- for cfg in "$SCRIPT_DIR/${PACKAGE_NAME}${KVERREL}${SUBARCH}"*.config
+ for cfg in "$SCRIPT_DIR/${PACKAGE_NAME}${KVERREL}"*.config
do
if [ "$count" -eq 0 ]; then
# do the first one by itself so that tools are built
@@ -385,12 +387,9 @@ do
shift
done
-PACKAGE_NAME="${1:-kernel}" # defines the package name used
-KVERREL="$(test -n "$2" && echo "-$2" || echo "")"
-SUBARCH="$(test -n "$3" && echo "-$3" || echo "")"
-FLAVOR="$(test -n "$4" && echo "-$4" || echo "-ark")"
+KVERREL="$(test -n "$1" && echo "-$1" || echo "")"
+FLAVOR="$(test -n "$2" && echo "-$2" || echo "-ark")"
# shellcheck disable=SC2015
-RHJOBS="$(test -n "$5" && echo "$5" || nproc --all)"
SCRIPT=$(readlink -f "$0")
SCRIPT_DIR=$(dirname "$SCRIPT")